## telemetry-tempest-plugin 1.0.0

=== debian/changelog ===
telemetry-tempest-plugin (1.0.0-3) unstable; urgency=medium

  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 May 2020 00:23:29 +0200

telemetry-tempest-plugin (1.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 22:56:07 +0200

telemetry-tempest-plugin (1.0.0-1) experimental; urgency=medium

  * Initial packaging (Closes: #958472).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 17:21:46 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/telemetry-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## telemetry-tempest-plugin 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.utils>=3.31.0 # Apache-2.0
six>=1.10.0 # MIT
tempest>=17.1.0 # Apache-2.0
gabbi>=1.30.0 # Apache-2.0

=== debian/changelog ===
telemetry-tempest-plugin (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 17:04:43 +0200

telemetry-tempest-plugin (1.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 14:59:22 +0200

=== debian/control ===
Source: telemetry-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/telemetry-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/telemetry-tempest-plugin.git
Homepage: https://opendev.org/openstack/telemetry-tempest-plugin

Package: telemetry-tempest-plugin
Architecture: all
Depends:
 python3-pbr,
 python3-oslo.config,
 python3-oslo.utils,
 python3-six,
 tempest,
 python3-gabbi,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Telemetry plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Telemetry plugin.

## telemetry-tempest-plugin 1.5.0

=== requirements.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=2.0 # Apache-2.0
-oslo.config>=5.1.0 # Apache-2.0
-oslo.utils>=3.31.0 # Apache-2.0
+oslo.config>=6.0.0 # Apache-2.0
+oslo.utils>=3.37.0 # Apache-2.0
 six>=1.10.0 # MIT
 tempest>=17.1.0 # Apache-2.0
 gabbi>=1.30.0 # Apache-2.0

=== debian/changelog ===
telemetry-tempest-plugin (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:43:35 +0200

telemetry-tempest-plugin (1.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 13:39:21 +0200

telemetry-tempest-plugin (1.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 10:53:08 +0200

telemetry-tempest-plugin (1.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:59:16 +0200

telemetry-tempest-plugin (1.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Mar 2021 17:15:10 +0200

telemetry-tempest-plugin (1.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 14:09:40 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/telemetry-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz

## telemetry-tempest-plugin 1.6.0

=== debian/changelog ===
telemetry-tempest-plugin (1.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Mar 2022 09:08:27 +0200

telemetry-tempest-plugin (1.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Mar 2022 17:41:35 +0100

## telemetry-tempest-plugin 1.7.0

=== debian/changelog ===
telemetry-tempest-plugin (1.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:13:31 +0200

telemetry-tempest-plugin (1.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2022 16:27:20 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/telemetry-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	pkgos-dh_auto_test --no-py2
#endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## telemetry-tempest-plugin 1.9.0

=== debian/changelog ===
telemetry-tempest-plugin (1.9.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045967).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 12:07:23 +0200

telemetry-tempest-plugin (1.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:07:45 +0200

telemetry-tempest-plugin (1.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Mar 2023 15:27:03 +0100

telemetry-tempest-plugin (1.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 10:56:18 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build
+	find . -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_test:
 	echo "Do nothing..."

## telemetry-tempest-plugin 1.10.0

=== debian/changelog ===
telemetry-tempest-plugin (1.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 20:52:22 +0200

telemetry-tempest-plugin (1.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 09:06:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
-	rm -rf build
+	rm -rf build *.egg-info
 	find . -type d -name __pycache__ -exec rm -r {} \+
 
 override_dh_auto_test:

## telemetry-tempest-plugin 2.0.0

=== requirements.txt ===
--- 
+++ 
@@ -5,6 +5,5 @@
 pbr>=2.0 # Apache-2.0
 oslo.config>=6.0.0 # Apache-2.0
 oslo.utils>=3.37.0 # Apache-2.0
-six>=1.10.0 # MIT
 tempest>=17.1.0 # Apache-2.0
 gabbi>=1.30.0 # Apache-2.0

=== debian/changelog ===
telemetry-tempest-plugin (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 23:13:11 +0200

telemetry-tempest-plugin (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2024 11:27:18 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
  python3-pbr,
  python3-oslo.config,
  python3-oslo.utils,
- python3-six,
  tempest,
  python3-gabbi,
  tempest,

## telemetry-tempest-plugin 2.3.0

=== debian/changelog ===
telemetry-tempest-plugin (2.3.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090698).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 14:39:20 +0100

telemetry-tempest-plugin (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 16:54:06 +0200

telemetry-tempest-plugin (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 23:17:01 +0200

telemetry-tempest-plugin (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2024 09:39:11 +0200

## telemetry-tempest-plugin 2.5.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
# releasenotes
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
telemetry-tempest-plugin (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:45:57 +0100

telemetry-tempest-plugin (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 17:35:00 +0100

telemetry-tempest-plugin (2.4.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 15:18:16 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-oslo.config,
  python3-oslo.utils,
  tempest,
- python3-gabbi,
+ python3-gabbi (>= 2.7.0),
  tempest,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

## telemetry-tempest-plugin 2.5.1

=== debian/changelog ===
telemetry-tempest-plugin (2.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Sep 2025 08:37:51 +0200

## telemetry-tempest-plugin 2.6.0

=== debian/changelog ===
telemetry-tempest-plugin (2.6.0-1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Fri, 19 Sep 2025 10:17:27 +0000

telemetry-tempest-plugin (2.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 12:11:02 +0200

## telemetry-tempest-plugin 2.7.0

=== requirements.txt ===
pbr>=2.0 # Apache-2.0
oslo.config>=6.0.0 # Apache-2.0
oslo.utils>=3.37.0 # Apache-2.0
tempest>=17.1.0 # Apache-2.0
gabbi>=2.7.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
testtools>=2.2.0 # MIT

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
# releasenotes
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
telemetry-tempest-plugin (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:39:51 +0200

telemetry-tempest-plugin (2.7.0-1) experimental; urgency=medium

  * New usptream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 22:28:47 +0200

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,12 @@
 Package: telemetry-tempest-plugin
 Architecture: all
 Depends:
- python3-pbr,
+ python3-gabbi,
  python3-oslo.config,
  python3-oslo.utils,
- tempest,
- python3-gabbi (>= 2.7.0),
+ python3-pbr,
+ python3-requests,
+ python3-testtools,
  tempest,
  ${misc:Depends},
  ${python3:Depends},

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/telemetry-tempest-plugin refs/tags/(\d[brc\d\.]+)

## telemetry-tempest-plugin 2.8.0

=== debian/changelog ===
telemetry-tempest-plugin (2.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 14:34:13 +0100

telemetry-tempest-plugin (2.7.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045967).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 13:00:45 +0100
